<template>
  <Breadcrump :title="$t('report')"></Breadcrump>
  <div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card body">
              <vue-highcharts
                type="chart"
                :options="roleData"
                :redrawOnUpdate="true"
                :oneToOneUpdate="false"
                :animateOnUpdate="true"
              />
            </div>
          </div>
          <div class="card">
            <div class="card body">
              <vue-highcharts
                type="chart"
                :options="userRegisterData"
                :redrawOnUpdate="true"
                :oneToOneUpdate="false"
                :animateOnUpdate="true"
              />
            </div>
          </div>
    </div>
  </div>
  
</template>

<script setup>
import Breadcrump from "../../components/Breadcrump.vue";
import vueHighcharts from "vue3-highcharts";
import { useChartStore } from "../../stores/chart";
import { ref, computed, onMounted } from "vue";
import { storeToRefs } from "pinia";
import i18n from '../../libs/i18n'
const chartStore = useChartStore();
const { roleCount, registerDateCount } = storeToRefs(chartStore);

onMounted(() => {
  chartStore.fetchRoleCount();
  chartStore.fetchRegisterDateCount();
 
});
const userRegisterData = computed(() => {
  return {
    series: [
      {
        colorByPoint: true,
        data: registerDateCount.value,
      },
    ],
    chart: {
      type: "column",
    },
    title: {
      align: "left",
      text: "Browser market shares. January, 2022",
    },
    xAxis: {
      type: "category",
    },
    accessibility: {
      announceNewData: {
        enabled: true,
      },
    },
    title: {
      text: i18n.global.t('dateRegisterUser'),
    },
    yAxis: {
      title: {
        text: i18n.global.t('numMember'),
      },
    },
    legend: {
      enabled: false,
    },
    plotOptions: {
      series: {
        borderWidth: 0,
        dataLabels: {
          enabled: true,
          format: "{point.y}",
        },
      },
    },
  };
});
const roleData = computed(() => {
  return {
    series: [
      {
        data: roleCount.value,
      },
    ],
    chart: {
      plotBackgroundColor: null,
      plotBorderWidth: null,
      plotShadow: false,
      type: "pie",
    },
    plotOptions: {
      pie: {
        allowPointSelect: true,
        cursor: "pointer",
        dataLabels: {
          enabled: false,
        },
        showInLegend: true,
      },
    },
    title: {
      text: i18n.global.t('userReport'),
    },
  };
});
</script>

<style>
</style>